Nowe posty

Autor Wątek: Upgrade MySql'a z 4.0 na 4.1  (Przeczytany 4240 razy)

zajacraf

  • Gość
Upgrade MySql'a z 4.0 na 4.1
« dnia: 2005-05-30, 22:21:50 »
Witajcie
Chce sobie zainstalować cdbakeoven-i18n-2.0beta2 - nakładka na cdrecord. Podczas kompilacji pokazuje mi błąd:
============
checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
==========
mam zainstalowane wszystko co ma w nazwie qt3 i to w wersji 3.3.3.4-3
Proszę o pomoc.

Maciek_Rutecki

  • Gość
Upgrade MySql'a z 4.0 na 4.1
« Odpowiedź #1 dnia: 2005-05-30, 22:33:28 »
2005-05-30 22:21:50 zajacraf napisał:

> Witajcie
 > Chce sobie zainstalować cdbakeoven-i18n-2.0beta2 - nakładka na cdrecord. Podczas kompilacji
 > pokazuje mi błąd:
 > ============
 > checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (headers and libraries) not
 > found. Please check your installation!
 > For more details about this problem, look at the end of config.log.
 > ==========
 > mam zainstalowane wszystko co ma w nazwie qt3 i to w wersji 3.3.3.4-3
 > Proszę o pomoc.
 >

Witam

Sprawdz czy masz pakiety *dev(el) i wydaj polecenie:

export QTDIR=/usr/lib/qt3

Sciazke popraw odpowiednio do tego co masz na dysku

Polecenie wykonaj najlepiej jako root i instalacje takze jhako root (aby zmienna byla widoczna podczas kompilacji).

Nie wiem czy to jest przyczyna, ale wlasnie na QTDIR najczesciej mozna sie wylozyc :)

--
Maciek

zajacraf

  • Gość
Upgrade MySql'a z 4.0 na 4.1
« Odpowiedź #2 dnia: 2005-05-30, 22:57:50 »
2005-05-30 22:33:28 Maciek_Rutecki napisał:

> 2005-05-30 22:21:50 zajacraf napisał:
 >
 > > Witajcie
 >  > Chce sobie zainstalować cdbakeoven-i18n-2.0beta2 - nakładka na cdrecord. Podczas
 > kompilacji
 >  > pokazuje mi błąd:
 >  > ============
 >  > checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (headers and libraries)
 > not
 >  > found. Please check your installation!
 >  > For more details about this problem, look at the end of config.log.
 >  > ==========
 >  > mam zainstalowane wszystko co ma w nazwie qt3 i to w wersji 3.3.3.4-3
 >  > Proszę o pomoc.
 >  >
 >
 > Witam
 >
 > Sprawdz czy masz pakiety *dev(el) i wydaj polecenie:
 >
 > export QTDIR=/usr/lib/qt3
 >
 > Sciazke popraw odpowiednio do tego co masz na dysku
 >
 > Polecenie wykonaj najlepiej jako root i instalacje takze jhako root (aby zmienna byla widoczna
 > podczas kompilacji).
 >
 > Nie wiem czy to jest przyczyna, ale wlasnie na QTDIR najczesciej mozna sie wylozyc :)
 >
 > --
 > Maciek
--------------------------
No nic to nie dało. Ten sam komunikat.

Rabarbar

  • Gość
Upgrade MySql'a z 4.0 na 4.1
« Odpowiedź #3 dnia: 2005-05-30, 22:19:31 »
Czy moze mi ktos powiedziec w jaki sposob to zrobic?
Wspomnieli o tym w manualu ale w taki pokretny sposob ze nie bardzo wiem o co tu chodzi.
Posiadam slacka 10.0 a obecna wersja Mysql'a 4.0.20
Potrzebuje podzapytan ktore dostepne sa wlasnie w nowszej dystrybucji.

SlackEwige

  • Gość
Upgrade MySql'a z 4.0 na 4.1
« Odpowiedź #4 dnia: 2005-05-31, 10:17:00 »
Nie wiem, jak to robią mysql-owi guru,ale w moim wypadku sprawdziła się taka metoda:

Po pierwsze backup danych - bezwzględnie i zawsze! Zawartość /var/lib/mysql skopiuj na inny dysk/partycję/katalog.

Po drugie - zakładam że masz mysql instalowany z paczek - albo więc automatycznie zaktualizuje Ci mysql'a swaret (http://swaret.sourceforge.net) albo ktualizacja paczki przy pomocy installpkg.

Ach, zapomniałbym - aby aktualizacja poszła gładko wszystko oczywiście wykonujesz przy nieaktywnym serwerze mysql. Po dokonanej zmianie uruchamiasz ponownie serwer i voila - w 99% masz sprawny serwer z podłączonymi poprzednimi bazami.

Jak na razie tą metodą przeszedłem z 4.0 do wersji obecnej 4.0.24 (korzystam z niej na codzień) a tą z kolei (same bazy) testowo przeniosłem na 4.1.12  (kompilowane ze źródeł!) i jak do tej pory wszystko wygląda na to, że działa ok. Raz jeden (nie pamiętam przy której wersji) wyrzucało jakieś drobne błędy, ale nic szczególnego.

Jedno zastrzeżenie - 4.0.24 uruchamiam na innym komputerze, zaś 4.1.12 na drugim - nie próbowałem jednoczesnie na tej samej maszynie wyhodować dwóch różnych gaęzi mysql.
Aha - bazy które testowałem należą do mwforum a system to slackware-current. Do sprawdzenia działania mysql'a używałem MySql Administrator 1.0.19 - tyle, że wielokrotnie to to mi się posypało (wina programu, nie serwera). Może w nowej wersji działa stabilniej?

Powodzenia.